
Name:           qoauth
Summary:        Qt library OAuth authorization scheme
Version:        2.0.0
Release:        2%{?dist}

License:        LGPLv2+
URL:            https://github.com/ayoy/qoauth
Source0:        https://github.com/ayoy/qoauth/archive/v2.0.0.tar.gz

ExcludeArch: ppc64

Patch100: qoauth-2.0.0-qt5.patch

BuildRequires: make
BuildRequires:  gcc-c++

%description
QOAuth is a Qt-based C++ implementation of an interface to services using
OAuth authorization scheme.

%package devel
Summary:	Development files for the Qt OAuth support library
Requires:	%{name} = %{version}-%{release}
%description devel
The %{name}-devel package contains libraries, header files and documentations 
for developing applications that use QOAuth library. 

%if 0%{?docs}
%package doc
Summary:        API Documentation for %{name}
BuildRequires:  doxygen
BuildArch: noarch
%description doc
%{summary}.
%endif

%package qt5
Summary: Qt5 library OAuth authorization scheme
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(qca2-qt5)
BuildRequires:  qca-qt5-ossl
Requires:       qca-qt5-ossl
%description qt5
%{summary}.

%package qt5-devel
Summary:        Qt5 library OAuth authorization scheme
Requires:       %{name}-qt5 = %{version}-%{release}
%description qt5-devel
%{summary}.


%prep
%setup -q -n %{name}-%{version}

%patch100 -p1 -b .qt5


%build
mkdir %{_target_platform}-qt5
pushd %{_target_platform}-qt5
export PATH=%{_qt5_bindir}:$PATH
%{qmake_qt5} PREFIX="%{_prefix}" ..
make %{?_smp_mflags}
popd

%if 0%{?docs}
doxygen Doxyfile
for file in doc/html/*; do
  touch -r Doxyfile $file
done
%endif


%install
make install INSTALL="install -p" INSTALL_ROOT=%{buildroot} -C %{_target_platform}-qt5

sed -i \
  -e "s|^includedir=.*|includedir=%{_qt5_headerdir}/QtOAuth|" \
  -e "s|^libdir=.*|libdir=%{_qt5_libdir}|" \
  %{buildroot}%{_qt5_libdir}/pkgconfig/qoauth-qt5.pc


rm -f %{buildroot}%{_qt5_libdir}/libqoauth-qt5.prl
rm -f %{buildroot}%{_qt4_libdir}/libqoauth.prl


%check
make check -C %{_target_platform}-qt5 || :


%files qt5
%doc README CHANGELOG
%license LICENSE
%{_qt5_libdir}/libqoauth-qt5.so.2*

%files qt5-devel
%{_qt5_libdir}/libqoauth-qt5.so
%{_qt5_libdir}/pkgconfig/qoauth-qt5.pc
%{_qt5_archdatadir}/mkspecs/features/oauth.prf
%{_qt5_headerdir}/QtOAuth/


%changelog
* Tue Apr 23 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-2
- rebase to add ocs and ts macros

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-1
- initial build
